<?php

// --------------------------------------------------------------------------
//
// Esvon Classifieds v.5.0
// Copyright(C), Esvon LTD, 2001-2023, All Rights Reserved.
// E-mail: products@esvon.com
//
// All forms of reproduction, including, but not limited to, internet posting, 
// printing, e-mailing, faxing and recording are strictly prohibited.
// One license required per site running Esvon Classifieds. 
// To obtain a license for using Esvon Classifieds, please register at
// http://www.esvon.com/pg/products/p_classifieds/
//
// --------------------------------------------------------------------------

function block_Ad_Details_Auction_Info(&$tpl){
  
  global $db,$O_HW,$DATE_TIME_FMT,$a_Ad,$hw_block_Auct_bids;
  static $MOD_CFG;
  
  if(!hwIsAuction($a_Ad['link_id'])) return;
  
  if(!isset($MOD_CFG)) $MOD_CFG = $O_HW->GetModOptions('Auction');

  if(!function_exists('Auction_GetTimeLeft')) include_once SITE_PATH.'modules/Auction/hw_api_blocks.php';
  hwModLoadLng('Auction');

  $z = $hw_block_Auct_bids;
  unset($hw_block_Auct_bids);
  if(!$z){
    $res = $db->query('SELECT amount,userid FROM '.hwModTable('Auction','bid').
      ' WHERE adid = "'.$a_Ad['link_id'].'" ORDER BY id DESC');
    $z['hw_auct_bids_amt'] = $db->num_rows($res);
    if($z['hw_auct_bids_amt']>0){
      list($z['hw_auct_bid'],$userid) = $db->fetch_row($res);
      $z['hw_auct_bidder'] = $db->one_data('SELECT username FROM '.TBL_USER.' WHERE id="'.$userid.'"');
    }    
  }
  
  $exp_time = GetUnixTimeFromMySQLDate($a_Ad['exp_date']);
  $z['hw_auct_closetime'] = strftime($DATE_TIME_FMT,$exp_time);
  $z['hw_auct_timeleft'] = Auction_GetTimeLeft($exp_time - HW_TIME, 1);

  $z['ref_url'] = html_esc($_SERVER['REQUEST_URI']);
  $z['ref_url'] = str_replace('&amp;', '&', $z['ref_url']);

  if(!$z['hw_auct_bid']) $z['hw_auct_bid'] = '0.00';
  if(!$z['hw_auct_bidder']) $z['hw_auct_bidder'] = '';

  $z['BID_INC'] = $a_Ad['hw_auct_bid_inc'];
  if($z['BID_INC']==0) $z['BID_INC'] = $MOD_CFG['BID_MIN'];
  $z['BID_INIT'] = sprintf('%.2f', $a_Ad['hw_auct_bid_init']);

  $a_fields = array(
    'hw_auct_res_price',
    'hw_auct_buy_price',
  );
  foreach($a_fields as $k) $z[$k] = $a_Ad[$k];

  $z['hw_closed'] = $_GET['hw_closed'] ? '&hw_closed=1' : '';
  $z['err_msg'] = ''; // $_SERVER['err_msg']
  
  if($a_Ad['hw_live']){ 
    $tpl_v = array(
      'item_id' => $a_Ad['link_id'],
      'ses_uid' => hwSessionGetVar('userid'),
    );
    $z['js_code'] = '<script>'.EvalAdvTpl(SITE_PATH.'modules/Auction/func.js', $tpl_v).'</script>';
  }
  
  $tpl->AddCell('b_Auction_Info',$z);

}

?>