<?php

// --------------------------------------------------------------------------
//
// Esvon Classifieds v.5.0
// Copyright(C), Esvon LTD, 2001-2023, All Rights Reserved.
// E-mail: products@esvon.com
//
// All forms of reproduction, including, but not limited to, internet posting, 
// printing, e-mailing, faxing and recording are strictly prohibited.
// One license required per site running Esvon Classifieds. 
// To obtain a license for using Esvon Classifieds, please register at
// http://www.esvon.com/pg/products/p_classifieds/
//
// --------------------------------------------------------------------------

function block_Auction_AddModify(&$tpl, $args = ''){

  if(defined('ADMIN_AREA')){
    if($_GET['page']!='add') return;
    $is_new = $_GET['lid'] ? 0 : 1;
  }
  else{
    if($_GET['page']=='add') $is_new = true;
    elseif($_GET['page']=='modify') $is_new = false;
    else return;
  }

  $a_fields = array(
    'hw_auct_bid_init',
    'hw_auct_bid_inc',
    'hw_auct_res_price',
    'hw_auct_buy_price',
  );

  $is_post = isset($_POST[$a_fields[0]]);

  global $db;

  $v = array();

  if(!$is_new) {
    
    global $a_Ad;

    if(!$args['event'] && !hwIsAuction($a_Ad['link_id'], array('is_possible' => true))) return;
    
    $v['auc_bids_amt'] = $db->one_data('SELECT COUNT(*) FROM '.hwModTable('Auction','bid').' WHERE adid='.$a_Ad['link_id']);
    $v['hw_auct_bid'] = $v['auc_bids_amt']>0 ? $a_Ad['hw_auct_bid'] : '';
    $v['auc_id'] = $a_Ad['link_id'];
    global $DATE_TIME_FMT;
    //$v['auc_exp_date'] = $a_Ad['exp_date'];
    $v['auc_exp_date'] = strftime($DATE_TIME_FMT, strtotime($a_Ad['exp_date']));
    foreach($a_fields AS $k) $v[$k] = $a_Ad[$k];
  }
  else {
    
    global $hw_pay_plan;
    
    if(!$args['event']){
      $opts = array(
        'hw_pay_plan' => $hw_pay_plan,
        'fset' => hwGetFsByCat($GLOBALS['cid']),
      );
    
      if(!hwIsAuction(0, $opts)) return;
    }

    // fields
    $v['auc_id'] = '';
    $v['hw_auct_bid'] = '';
    $v['auc_exp_date'] = '';
    $v['auc_bids_amt'] = '0';

    if(!$is_post) {
      foreach($a_fields AS $k) $v[$k] = '0.00';
      global $O_HW;
      $MOD_CFG = $O_HW->GetModOptions('Auction');
      $v['hw_auct_bid_inc'] = $MOD_CFG['BID_MIN'];
    }
    
    $v['auc_exp_days'] = 0;
    $pp_opts = hwGetOptsArrFromPlans($hw_pay_plan);
    if($pp_opts['AD_MOD_AUCT_DAYS']){
      $v['auc_exp_menu'] = '';
      for($i=1;$i<31;$i++){ 
        $v['auc_exp_menu'].= '<option value="'.$i.'"'.($_POST['hw_exp_days']==$i?' selected':'').'>'.$i."</option>\n";
      }
    }
    else{
      $v['auc_exp_days'] = $db->one_data('SELECT exp_days FROM '.TBL_PAY_PLAN.' WHERE id=?', $hw_pay_plan);
    }
  }
  
  if($is_new && $is_post){ 
    foreach($a_fields AS $k){ 
      $v[$k] = html_esc($_POST[$k]);
    }
  }
  
  hwModLoadLng('Auction');

  $tpl->AddCell('b_Auction_AddModify', array(
    'hw_auct_block' => EvalAdvTpl(SITE_PATH.'modules/Auction/tpl/block_add_modify.htm', $v),
  ));
  
}

?>